// 主函数
// 杭州秒寻科技有限公司
// 周涛
// 2023-09-12

#ifndef MAIN_H
#define MAIN_H

#include "sysdef.h"

#define CLOSE_INT() __set_PRIMASK(1) // 关闭总中断
#define OPEN_INT() __set_PRIMASK(0)  // 打开总中断

// 软件类型
#define MAIN_SOFT_TYPE_BOOTLOADER 1
#define MAIN_SOFT_TYPE_APP 2

// APP加载模式
#define MAIN_APP_LOAD_MODE_DEFAULT 1    // 模式加载
#define MAIN_APP_LOAD_MODE_BOOTLOADER 2 // bootloader加载

// 内部接口
void main_bootloader_start();
void main_deinit_nvic(void);

#endif
